/* Copyright (c) 1996 University of Utah.  All Rights Reserved.
 *
 * Permission to use, copy, modify, and distribute this software and
 * its documentation for NON-COMMERCIAL purposes and without fee is
 * hereby granted provided that this copyright notice appears in all
 * copies.
 *
 * See http://www.cs.utah.edu/~hamlet for more educational resources.
 *
 * The University of Utah MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT
 * THE SUITABILITY OF THE SOFTWARE, EITHER EXPRESS OR IMPLIED,
 * INCLUDING BUT NOT LIMITED TO THE IMPLIED WARRANTIES OF
 * MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE, OR
 * NON-INFRINGEMENT. The University of Utah SHALL NOT BE LIABLE FOR
 * ANY DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR
 * DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
 */

package Root;

import java.awt.*;
import hamlet.NumericLabel;

public class CoordPanel extends Panel {
  
  /*Label xval, yval;*/
  NumericLabel xval, yval;
  
  CoordPanel (String s, double x, double y, Color color) {

    setLayout(new GridLayout(3,1,0,0));

    //    Panel topLabel = new Panel();
    //    Panel coords   = new Panel();
    //    coords.setLayout(new GridLayout(1,2));
    //    topLabel.add(new Label (s, Label.CENTER));

    xval = new NumericLabel("x: ", x, Label.CENTER);
    yval = new NumericLabel("y: ", y, Label.CENTER);

    xval.setForeground(color);
    yval.setForeground(color);

    Panel topLabel = new Panel();
    topLabel.setLayout(new FlowLayout());
    Label label = new Label(s);
    label.setForeground(color);
    topLabel.add(label, FlowLayout.LEFT);
    add(topLabel);
    add(xval);
    add(yval);
    //    coords.add(xval);
    //    coords.add(yval);
    
    //    add(topLabel);
    //    add(coords);
  }

  public void setXvalue(double x) {
    xval.setNumber(x);
    /*String str = new String("x: " + x);
    xval.setText(str);*/
    xval.repaint();
  }

  public void setYvalue(double y) {
    yval.setNumber(y);
    /*String str = new String ("y: " + y);;
    yval.setText(str);*/
    yval.repaint();
  }

}

